Firefox Trojan targets older versions of Windows

Users of pre-Vista operating systems and Firefox 3.6 appear to be most at risk, security firm finds.

A new Firefox vulnerability reported on Tuesday affects primarily users of the browser on older versions of Windows, security firm Trend Micro has determined.

Present in both Firefox 3.5 and 3.6, according to Mozilla, the zero-day flaw causes a "drive-by download" whereby a malicious file is downloaded and run without the user's knowledge. It was first discovered on the official site for the Nobel Peace Prize, which was compromised by a malicious PHP Script called JS_NINDYA.A, Trend Micro found.

The exploit accomplishes its mischief by downloading a "back door" onto user systems, detected by Trend Micro as BKDR_NINDYA.A. It then connects to a remote malicious server, which cybercriminals can use to send various commands to the affected system, including deleting all files and shutting it down.

What's unusual about the exploit, however, is that "for some reason or another the cybercriminal behind this attack has chosen to limit the scope of the vulnerability," Trend Micro explained in a blog post late Tuesday. "Using browser headers, the exploit checks both the Firefox version and the operating system used."

Specifically, only recent versions of Firefox 3.6 are targeted by JS_NINDYA.A, Trend Micro said. The exploit is not triggered, however, when the user is running newer versions of Windows, including Vista, Windows 7, Server 2008 and Server 2008 R2. The latest Firefox 4 beta versions are confirmed to be safe from the exploit as well.

The Linux Alternative

The flaw has been deactivated on the Nobel Peace Prize site, but there's no telling at this point where else it may lurk or how many users may have been affected. Mozilla is now hard at work creating a patch, but in the meantime, it recommends that users deactivate JavaScript or use the NoScript plug-in. Instructions for disabling JavaScript are offered in Mozilla's support section.

Another approach, of course, is to use Linux instead of Windows when browsing the Web. Windows is targeted by such a majority of malware that security experts recommend using Linux for online banking, in particular. Users who don't want to install Linux on their computers can simply run a LiveCD or Live USB and browse the Web from there. It works!

Follow Katherine Noyes on Twitter: @Noyesk.

Join the CSO newsletter!

Error: Please check your email address.

Tags online securityLinuxspamantispamvirusesWindowsnon-Windowsoperating systemsphishingmozillaFirefoxtrend microsecuritysoftware

More about EnablingHewlett-Packard AustraliaHPLinuxMozillaTrend Micro Australia

Show Comments

Featured Whitepapers

Editor's Recommendations

Solution Centres

Stories by Katherine Noyes

Latest Videos

More videos

Blog Posts